/***************************************************************************
 *                                                                         *
 *  Copyright 1995 Symbios Logic Incorporated.  All rights reserved.       *
 *                                                                         *
 * This software was written by Symbios Logic Inc. to develop and test new *
 * products.  Symbios Logic assumes no liability for its use. This software*
 * is released to the public domain to illustrate certain programming      *
 * techniques for testing the 53c8xx chips                                 *
 *                                                                         *
 ***************************************************************************/

/*           Name:  8XX_PCI.H
 *          Title:  Validation test code 8XX_pci.c header
 *      $Workfile:  $
 *      $Revision:  $
 *       $Modtime:  $
 *     Programmer:  Symbios Logic
 *  Creation Date:  11/29/95
 *
 *  Version History
 *  ---------------
 *
 *    Date    Who?  Description
 *  --------  ----  -------------------------------------------------------
#BeginRevision
 *  03/06/96  SYM   - Added explicit device id macros for 810A, 810ALV, 860LV,
 *						  825A, 895, 896
 *						  - Added explicit version id macros for all devices
#EndRevision
 *
 *  11/29/95  SYM   Initial Revision.
 *
#BeginDescription
 *
 *  This file contains structures and #defines used by the 8XX_PCI.C source
 *  file.
 *
#EndDescription
 *
 *-------------------------------------------------------------------------
 *
 *  $Header: $
 *
 */

#include "valtypes.h"

/* 53C8xx version id's and device id's */
#define         C810_DEVICE_ID                  0x0001
#define         C810A_DEVICE_ID                 0x0001
#define         C810_VERSION_ID                 0x00
#define         C810A_VERSION_ID                0x10
#define         C810ALV_VERSION_ID              0x20
#define         C810AP_DEVICE_ID                0x0005
#define         C810AP_VERSION_ID               0x00
#define         C815_DEVICE_ID                  0x0004
#define         C815_VERSION_ID                 0x00
#define         C820_DEVICE_ID                  0x0002
#define         C820_VERSION_ID                 0x00
#define         C825_DEVICE_ID                  0x0003
#define         C825A_DEVICE_ID                 0x0003
#define         C825_VERSION_ID                 0x00
#define         C825A_VERSION_ID                0x10
#define         C860_DEVICE_ID                  0x0006
#define         C860LV_DEVICE_ID                0x0006
#define         C860_VERSION_ID                 0x00
#define         C860LV_VERSION_ID               0x10
#define         C875_DEVICE_ID                  0x000F
#define         C875_VERSION_ID                 0x00
#define         C885_DEVICE_ID                  0x000D
#define         C885_VERSION_ID                 0x00
#define         C895_DEVICE_ID                  0x000C
#define         C895_VERSION_ID                 0x00
#define         C896_DEVICE_ID                  0x000B
#define         C896_VERSION_ID                 0x00
#define         NULL_DEVICE_ID                  0xFFFF

/* Return values from functions */
/* Returned by any function in C8XX_PCI.C which successfully completed */
#define         C8XX_GOOD                       0x00
/* Interrupt vector from Script that indicates the Script RAM copy 
   completed */
#define         C8XX_COPYCOMPLETE               0xCCCCCCCCl
/* Returned by C8XX_GetIOBase, C8XX_GetMEMBase and C8XX_GetRAMBase to indicate 
   that no base address was assigned to the respective register */
#define         C8XX_NO_BASE                    0x81
/* Returned by any function that fails to complete the task it was designed to
	do */
#define                  C8XX_FAIL                                                              0x82

/* IO Base, Mem Base and SCRIPT RAM Base address offsets */

/* Register IO Base address config register offset */
#define         C8XX_CONFIG_REG_IOB     0x10
/* Register Memory Base address config register offset */
#define         C8XX_CONFIG_REG_MEMB    0x14
/* Script RAM Memory Base address config register offset */
#define         C8XX_CONFIG_REG_RAMB    0x18

/* function prototypes */
extern VCHAR *C8XX_DevID2Str(VINT id, VUBYTE rev_id);
extern VUINT C8XX_GetMemBase(pcidev_record *PCIDevice);
extern VUINT C8XX_GetIOBase(pcidev_record *PCIDevice);
extern VINT C8XX_BuildPCIDeviceList(pcidev_record *PCIDevice[], VINT Max_PCIDevices);
extern VINT C8XX_ChoosePCIDevice(pcidev_record *PCIDevice[], VINT NumPCIDevices);
extern VUINT C8XX_GetRAMBase(pcidev_record *PCIDevice);
extern void PCI_print_config(pcidev_record *PCIDevice);

